> ## Documentation Index
> Fetch the complete documentation index at: https://docs.budecosystem.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Models

> Retrieve a list of available models.

<RequestExample>
  ```bash cURL theme={null}
  curl https://gateway.bud.studio/v1/models \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "object": "list",
    "data": [
      {
        "id": "llama-3.2-1b",
        "object": "model",
        "created": 1699000000,
        "owned_by": "meta"
      },
      {
        "id": "mistral-7b",
        "object": "model",
        "created": 1699000000,
        "owned_by": "mistralai"
      }
    ]
  }
  ```
</ResponseExample>

## Headers

| Parameter     | Type   | Required | Description                                                                               |
| ------------- | ------ | -------- | ----------------------------------------------------------------------------------------- |
| Authorization | string | Yes      | Bearer authentication header of the form `Bearer <token>` where `<token>` is your API key |

## Query Parameters

| Parameter | Type    | Required | Description                                           |
| --------- | ------- | -------- | ----------------------------------------------------- |
| limit     | integer | No       | Maximum number of models to return. Default: `100`    |
| offset    | integer | No       | Number of models to skip for pagination. Default: `0` |
